curl --location 'https://api.myvocal.ai/sound_clone/api/v1/cover/list' \
--header 'accessKey: xxx'
{
"code": 1,
"message": "Success",
"data": {
"hasMore": false,
"earliestHistoryItemId": "198",
"list": [
{
"voiceId": "458",
"voiceName": "QWERTYUIOPASD",
"id": "203",
"title": "Beyonce T4",
"useChars": 2616,
"channel": "web"
},
{
"voiceId": "452",
"voiceName": "@#$%^&Z",
"id": "202",
"title": "sd",
"useChars": 2592,
"channel": "api"
}
]
}
}
{
"code": -1,
"message": "error msg",
}
Cover History
List Cover history
List your AI Cover history records, with a cursor for older records.
GET
/
sound_clone
/
sound_clone
/
api
/
v1
/
cover
/
list
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/cover/list' \
--header 'accessKey: xxx'
{
"code": 1,
"message": "Success",
"data": {
"hasMore": false,
"earliestHistoryItemId": "198",
"list": [
{
"voiceId": "458",
"voiceName": "QWERTYUIOPASD",
"id": "203",
"title": "Beyonce T4",
"useChars": 2616,
"channel": "web"
},
{
"voiceId": "452",
"voiceName": "@#$%^&Z",
"id": "202",
"title": "sd",
"useChars": 2592,
"channel": "api"
}
]
}
}
{
"code": -1,
"message": "error msg",
}
AI Cover · History · Workflow: AI Cover quickstart
Header
string
required
Your API key. See Authentication.
Body
number
default:"10"
The number of AI Cover history records returned at one time, supporting 10 ~ 1000 data queries at a time.
If this parameter is empty, the default value is 10.
string
If this parameter is provided, we will start tracing back to earlier AI Cover history from this AI Cover item.
If this parameter is empty, then we will default to tracing back directly from the most recent data.
Response
number
required
Indicates whether the call was successful. 1 if successful.
string
When an exception occurs, specific exception information will be provided in the message.
object
Includes specific data.
Show Toggle object
Show Toggle object
boolean
If there is no earlier created AI Cover item, then callback 1
If there are still earlier created AI Cover items, then callback 0
String
The earliest AI Cover id in this response.
list
The AI Cover history records returned by this request.
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/cover/list' \
--header 'accessKey: xxx'
{
"code": 1,
"message": "Success",
"data": {
"hasMore": false,
"earliestHistoryItemId": "198",
"list": [
{
"voiceId": "458",
"voiceName": "QWERTYUIOPASD",
"id": "203",
"title": "Beyonce T4",
"useChars": 2616,
"channel": "web"
},
{
"voiceId": "452",
"voiceName": "@#$%^&Z",
"id": "202",
"title": "sd",
"useChars": 2592,
"channel": "api"
}
]
}
}
{
"code": -1,
"message": "error msg",
}
